Open CASCADE Technology: Geom2d_Point Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Geom2d_Point Class Referenceabstract

The abstract class Point describes the common behavior of geometric points in 2D space. The Geom2d package also provides the concrete class Geom2d_CartesianPoint. More...

`#include <Geom2d_Point.hxx>`

Inheritance diagram for Geom2d_Point:
[legend]

## Public Member Functions
virtual void | Coord (Standard_Real &X, Standard_Real &Y) const =0
| returns the Coordinates of <me>. More...
virtual gp_Pnt2d | Pnt2d () const =0
| returns a non persistent copy of <me> More...
virtual Standard_Real | X () const =0
| returns the X coordinate of <me>. More...
virtual Standard_Real | Y () const =0
| returns the Y coordinate of <me>. More...
Standard_Real | Distance (const Handle< Geom2d_Point > &Other) const
| computes the distance between <me> and <Other>. More...
Standard_Real | SquareDistance (const Handle< Geom2d_Point > &Other) const
| computes the square distance between <me> and <Other>. More...
Public Member Functions inherited from Geom2d_Geometry
void | Mirror (const gp_Pnt2d &P)
| Performs the symmetrical transformation of a Geometry with respect to the point P which is the center of the symmetry and assigns the result to this geometric object. More...
void | Mirror (const gp_Ax2d &A)
| Performs the symmetrical transformation of a Geometry with respect to an axis placement which is the axis of the symmetry. More...
void | Rotate (const gp_Pnt2d &P, const Standard_Real Ang)
| Rotates a Geometry. P is the center of the rotation. Ang is the angular value of the rotation in radians. More...
void | Scale (const gp_Pnt2d &P, const Standard_Real S)
| Scales a Geometry. S is the scaling value. More...
void | Translate (const gp_Vec2d &V)
| Translates a Geometry. V is the vector of the tanslation. More...
void | Translate (const gp_Pnt2d &P1, const gp_Pnt2d &P2)
| Translates a Geometry from the point P1 to the point P2. More...
virtual void | Transform (const gp_Trsf2d &T)=0
| Transformation of a geometric object. This tansformation can be a translation, a rotation, a symmetry, a scaling or a complex transformation obtained by combination of the previous elementaries transformations. (see class Transformation of the package Geom2d). The following transformations have the same properties as the previous ones but they don't modified the object itself. A copy of the object is returned. More...
Handle< Geom2d_Geometry > | Mirrored (const gp_Pnt2d &P) const
Handle< Geom2d_Geometry > | Mirrored (const gp_Ax2d &A) const
Handle< Geom2d_Geometry > | Rotated (const gp_Pnt2d &P, const Standard_Real Ang) const
Handle< Geom2d_Geometry > | Scaled (const gp_Pnt2d &P, const Standard_Real S) const
Handle< Geom2d_Geometry > | Transformed (const gp_Trsf2d &T) const
Handle< Geom2d_Geometry > | Translated (const gp_Vec2d &V) const
Handle< Geom2d_Geometry > | Translated (const gp_Pnt2d &P1, const gp_Pnt2d &P2) const
virtual Handle< Geom2d_Geometry > | Copy () const =0
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

The abstract class Point describes the common behavior of geometric points in 2D space. The Geom2d package also provides the concrete class Geom2d_CartesianPoint.

## Member Function Documentation

virtual void Geom2d_Point::Coord | ( | Standard_Real & | X,
|  | Standard_Real & | Y
| ) |  | const
| pure virtual

returns the Coordinates of <me>.

Implemented in Geom2d_CartesianPoint.

Standard_Real Geom2d_Point::Distance | ( | const Handle< Geom2d_Point > & | Other | ) | const

computes the distance between <me> and <Other>.

virtual gp_Pnt2d Geom2d_Point::Pnt2d | ( |  | ) | const
| pure virtual

returns a non persistent copy of <me>

Implemented in Geom2d_CartesianPoint.

Standard_Real Geom2d_Point::SquareDistance | ( | const Handle< Geom2d_Point > & | Other | ) | const

computes the square distance between <me> and <Other>.

virtual Standard_Real Geom2d_Point::X | ( |  | ) | const
| pure virtual

returns the X coordinate of <me>.

Implemented in Geom2d_CartesianPoint.

virtual Standard_Real Geom2d_Point::Y | ( |  | ) | const
| pure virtual

returns the Y coordinate of <me>.

Implemented in Geom2d_CartesianPoint.

The documentation for this class was generated from the following file:

- Geom2d_Point.hxx